# $Revision: 1.25 $, $Date: 2005/11/20 16:26:39 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	DIME
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - implements DIME encoding
Summary(pl):	%{_pearname} - implementacja kodowania DIME
Name:		php-pear-%{_pearname}
Version:	0.3
Release:	5
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5e740eff36c049f4dcb348c6fb24da11
URL:		http://pear.php.net/package/Net_DIME/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides an implementation of DIME as defined at
http://search.ietf.org/internet-drafts/draft-nielsen-dime-02.txt

In PEAR status of this package is: %{_status}.

%description -l pl
Dostarcza implementacj DIME, jaka zostaa zdefiniowana w dokumencie:
http://search.ietf.org/internet-drafts/draft-nielsen-dime-02.txt

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_DIME.spec,v $
Revision 1.25  2005/11/20 16:26:39  glen
- rel 5

Revision 1.24  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.23  2005/10/05 20:59:49  glen
- rel 4

Revision 1.22  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.21  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.20  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.19  2005/09/19 21:43:40  glen
- integer BR

Revision 1.18  2005/09/19 17:26:46  glen
- use new pear packaging system

Revision 1.17  2004/12/04 13:21:22  adamg
- rebuild with new PEAR provides/requires scripts
- release 3

Revision 1.16  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.15  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.14  2004/03/15 14:08:35  adamg
- added missing status information (it is stable)
- cosmetics

Revision 1.13  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.12  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.11  2003/05/31 14:33:31  adamg
- removed php-pear-Net_DIME-class_name.patch (applied upstream)
- release 2

Revision 1.10  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.9  2003/05/28 08:58:43  adamg
- massive attack: added source0-md5

Revision 1.8  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/10/14 23:46:40  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.6  2002/09/15 10:45:18  blues
- fix in macros

Revision 1.5  2002/07/12 23:53:33  blues
- release 2 (rebuild with new rpm)

Revision 1.4  2002/07/12 10:08:23  blues
- removed not neccessary provides

Revision 1.3  2002/07/08 00:40:26  blues
- new one provides

Revision 1.2  2002/07/07 23:22:59  blues
- added class_name patch - change names of the classes (Sent to author)
STBR

Revision 1.1  2002/07/07 22:52:20  blues
- initial release (NFY)
